using System;

namespace Bespoke.Robotics.BrainStem
{
	/// <summary>
	/// Digital IO pins can be either input or output.
	/// </summary>
	public enum DigitalIoDirectionType
	{
		/// <summary>
		/// Configures the digital IO pin as an input.
		/// </summary>
		Input		= 0,

		/// <summary>
		/// Configures the digital IO pin as an output.
		/// </summary>
		Output		= 1
	}
}