using System;

namespace Bespoke.Robotics.BrainStem
{
	/// <summary>
	/// List of available servos ports.
	/// </summary>
	public enum ServoIdType
	{
		/// <summary>
		/// Servo Id 0.
		/// </summary>
		Servo0	= 0,

		/// <summary>
		/// Servo Id 1.
		/// </summary>
		Servo1	= 1,

		/// <summary>
		/// Servo Id 2. 
		/// </summary>
		Servo2	= 2,

		/// <summary>
		/// Servo Id 3. 
		/// </summary>
		Servo3	= 3
	}
}
