using System;

namespace Bespoke.Robotics.BrainStem
{
    /// <summary>
    /// 
    /// </summary>
    public class HeartbeatEventsArgs : EventArgs
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public Packet Packet
        {
            get
            {
                return mPacket;
            }
        }

        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public HeartbeatType HeartbeatType
        {
            get
            {
                return mHeartbeatType;
            }
        }
        

        /// <summary>
        ///
        /// </summary>
        /// <param name="packet"></param>
        /// <param name="heartbeatType"></param>
        public HeartbeatEventsArgs(Packet packet, HeartbeatType heartbeatType)
        {
            mPacket = packet;
            mHeartbeatType = heartbeatType;
        }

        private Packet mPacket;
        private HeartbeatType mHeartbeatType;
    }
}
