using System;

namespace Bespoke.Robotics.BrainStem
{
	/// <summary>
	/// List of available A2D IO pins.
	/// </summary>
	public enum AnalogToDigitalIoPinType
	{
		/// <summary>
		/// A2D IO pin 0.
		/// </summary>
		Pin0 = 0,

		/// <summary>
		/// A2D IO pin 1.
		/// </summary>
		Pin1 = 1,

		/// <summary>
		/// A2D IO pin 2. 
		/// </summary>
		Pin2 = 2,

		/// <summary>
		/// A2D IO pin 3. 
		/// </summary>
		Pin3 = 3,

		/// <summary>
		/// A2D IO pin 4. 
		/// </summary>
		Pin4 = 4
	}
}
