using System;

namespace Bespoke.Robotics.BrainStem
{
	/// <summary>
	/// List of available digital IO pins.
	/// </summary>
	public enum DigitalIoPinType
	{
		/// <summary>
		/// Digital IO pin 0.
		/// </summary>
		Pin0		= 0,

		/// <summary>
		/// Digital IO pin 1.
		/// </summary>
		Pin1		= 1,

		/// <summary>
		/// Digital IO pin 2. 
		/// </summary>
		Pin2		= 2,

		/// <summary>
		/// Digital IO pin 3. 
		/// </summary>
		Pin3		= 3,

		/// <summary>
		/// Digital IO pin 4. 
		/// </summary>
		Pin4		= 4
	}
}
